import { Availability } from '../../../../takvim/api/models';
import { kimlikUsers } from './kimlik-users';
import { takvimAvailabilityConfigs } from './takvim-availability-configs';
export const takvimAvailabilitiesBasic = (config) => ({
  // single day
  takvimAvailabilitiesBasic1: Availability.decode({
    _id: 'takvimAvailabilitiesBasic1',
    _created: new Date(),
    _updated: new Date(),
    config: takvimAvailabilityConfigs(config).takvimAvailabilitiesBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2020-12-25T10:00:00Z',
    endDate: '2020-12-25T18:00:00Z',
    meetingDuration: 60,
  }),
  // recurring on tuesdays
  takvimAvailabilitiesBasic2: Availability.decode({
    _id: 'takvimAvailabilitiesBasic2',
    _created: new Date(),
    _updated: new Date(),
    config: takvimAvailabilityConfigs(config).takvimAvailabilitiesBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2020-12-01T10:00:00Z',
    endDate: '2020-12-01T18:00:00Z',
    meetingDuration: 60,
    isRecurring: true,
  }),
  // recurring on wednesdays
  takvimAvailabilitiesBasic3: Availability.decode({
    _id: 'takvimAvailabilitiesBasic3',
    _created: new Date(),
    _updated: new Date(),
    config: takvimAvailabilityConfigs(config).takvimAvailabilitiesBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2020-12-02T10:00:00Z',
    endDate: '2020-12-02T12:00:00Z',
    meetingDuration: 30,
    isRecurring: true,
  }),
  // recurring on wednesdays
  takvimAvailabilitiesBasic4: Availability.decode({
    _id: 'takvimAvailabilitiesBasic4',
    _created: new Date(),
    _updated: new Date(),
    config: takvimAvailabilityConfigs(config).takvimAvailabilitiesBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2020-12-02T13:00:00Z',
    endDate: '2020-12-02T18:00:00Z',
    meetingDuration: 60,
    isRecurring: true,
  }),
});
